# Uses of Interface
org.eclipse.pde.core.build.IBuildEntry

Packages that use IBuildEntry
Package
Description
org.eclipse.pde.core.build
Application programming interfaces for working with PDE's model of build.properties.

## Uses of IBuildEntry in org.eclipse.pde.core.build

Methods in org.eclipse.pde.core.build that return IBuildEntry
Modifier and Type
Method
Description
`IBuildEntry`
IBuildModelFactory.`createEntry(String name)`
Creates a new build entry with the provided name.
`IBuildEntry[]`
IBuild.`getBuildEntries()`
Returns all the build entries in this object.
`IBuildEntry`
IBuild.`getEntry(String name)`
Returns the build entry with the specified name.
Methods in org.eclipse.pde.core.build with parameters of type IBuildEntry
Modifier and Type
Method
Description
`void`
IBuild.`add(IBuildEntry entry)`
Adds a new build entry.
`void`
IBuild.`remove(IBuildEntry entry)`
Removes a build entry.